Download it now!
Bug 119580 - OLE Contextmenu in Writer, Calc, Draw and Impress
Summary: OLE Contextmenu in Writer, Calc, Draw and Impress
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Context-Menu Unify-Across-Apps
  Show dependency treegraph
 
Reported: 2018-08-29 08:10 UTC by andreas_k
Modified: 2018-10-27 21:09 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Contextmenu OLE for Writer, Calc, Draw and Impress (247.19 KB, image/png)
2018-09-03 23:33 UTC, andreas_k
Details

Note You need to log in before you can comment on or make changes to this bug.
Description andreas_k 2018-08-29 08:10:43 UTC
Writer
------
- Arrange is before Align as in all other modules

Calc
----
- Name and Description is not needed in calc context menu. It's also not available in writer
- Text didn't work for OLE
- Position is ordinary not used for calc in other modules (you don't arrange to coordinates)

Draw
----
- Character and Paragraph didn't work
- Break didn't work
- Same layout than writer and calc OLE

Impress
-------
- Same layout than draw
- Name is not really needed but Interaction.
Comment 1 andreas_k 2018-09-03 23:33:12 UTC
Created attachment 144648 [details]
Contextmenu OLE for Writer, Calc, Draw and Impress
Comment 2 Commit Notification 2018-10-01 11:23:53 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=257c4203faffdb62d7aaf03819fd2c8c2301f572

tdf#119580 contextmenu ole is now synced between different apps

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-10-11 21:18:10 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=18446d16ea801f465bb79471f7cf9f3b95ea2e92

tdf#119580 sc: Use the regular object popupmenu for charts

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Thomas Lendo 2018-10-27 21:09:48 UTC
Thanks, Andreas!
Verified fixed.

Version: 6.2.0.0.alpha1+
Build ID: 5d2ab49cbda1d7aea1019478abe0163e1f40a121
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: threaded
from today